package com.cftech.member.dao;

import com.cftech.core.generic.GenericDao;
import com.cftech.member.model.MemberTags;
import com.cftech.member.model.TagsCards;

import java.util.List;
import java.util.Map;

/**
* Mapper
*
* @author lisw
* @date: 2017-09-13 14:04
*/
public interface MemberTagsMapper extends GenericDao<MemberTags> {

    int saveBatchTagsCard(Map<String,Object> params);

    List<TagsCards> fetchSearchCardTagsByPage(Map<String,Object> params);

    int delTagCard(Map<String,Object> pramas);

    /**
     * 根据标签查询应该发送的卡券，无标签发送默认卡券
     * @param params
     * @return
     */
    List<String> getMemberTagsCard(Map<String,Object> params);


}